v1.0
get
/ec-codelist-svc/rest/v1.0/history/codes
View historical changes to codelists for a given name and (optionally) study.
Request
Query Parameters
-
codeId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the codeExample:
B1B8327AFAA6412287106192AB5984EF -
limit(required): integer(int32)
Minimum Value:
1limit.Example:50 -
offset(required): integer(int32)
Minimum Value:
0offset.Example:0 -
studyId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : CodeV3
Type:
Show Source
object-
canAddValues: boolean
-
canHideValues: boolean
-
codeGroupId: string
(uuid)
-
codeLevel: string
-
codeName: string
-
codeType: string
-
comment: string
-
customizable: boolean
-
description: string
-
displayCodeName: string
-
id: string
(uuid)
-
objectVersionNumber: number
-
operationType: string
-
optlock: string
(date-time)
-
parCodeName: string
-
reason: string
-
softwareVersionNumber: number
-
studyId: string
(uuid)
-
tag: string
-
tenantLevelOnly: boolean
-
userId: string
(uuid)
-
versionEnd: string
(date-time)
-
versionStart: string
(date-time)
Examples